From 256c7d653cf52870fa71760d24b3e89c9bfeeafd Mon Sep 17 00:00:00 2001
From: Juan Escobar <escj@aero.obs-mip.fr>
Date: Fri, 24 Feb 2023 15:41:02 +0000
Subject: [PATCH] Juan 24/02/2023:job_make_examples_Atos_HPCF, add job examples
 for new HPCF ECMWF computer

---
 src/job_make_examples_Atos_HPCF | 82 +++++++++++++++++++++++++++++++++
 1 file changed, 82 insertions(+)
 create mode 100755 src/job_make_examples_Atos_HPCF

diff --git a/src/job_make_examples_Atos_HPCF b/src/job_make_examples_Atos_HPCF
new file mode 100755
index 000000000..29185f52a
--- /dev/null
+++ b/src/job_make_examples_Atos_HPCF
@@ -0,0 +1,82 @@
+#!/bin/bash
+#MNH_LIC Copyright 1994-2020 CNRS, Meteo-France and Universite Paul Sabatier
+#MNH_LIC This is part of the Meso-NH software governed by the CeCILL-C licence
+#MNH_LIC version 1. See LICENSE, CeCILL-C_V1-en.txt and CeCILL-C_V1-fr.txt  
+#MNH_LIC for details. version 1.
+#SBATCH -J Examples
+#SBATCH -N 1            # nodes number
+#SBATCH -n 2            # CPUs number (on all nodes) 
+#SBATCH -o Examples.eo%j   #
+#SBATCH -e Examples.eo%j   #
+#SBATCH -t 01:00:00    # time limit
+#SBATCH -q np          # parallel partition
+
+ulimit -c 0
+ulimit -s unlimited
+# Arret du job des la premiere erreur
+set -e
+# Nom de la machine
+hostname 
+# Echo des commandes
+
+. ../conf/profile_mesonh-LXifort-R8I4-MNH-V5-6-0-MPIAUTO-O2
+export MONORUN="Mpirun -np 1 "
+export MPIRUN="Mpirun -np 2 "
+export POSTRUN="echo "
+export MNH_PYTHON="NO"
+
+cd $SRC_MESONH/MY_RUN/KTEST/003_KW78 
+make -k
+#
+echo "#################################################################################"
+echo "##CAS SUIVANT####################################################################"
+echo "#################################################################################"
+cd $SRC_MESONH/MY_RUN/KTEST/001_2Drelief 
+make -k
+#
+echo "#################################################################################"
+echo "##CAS SUIVANT####################################################################"
+echo "#################################################################################"
+cd $SRC_MESONH/MY_RUN/KTEST/002_3Drelief 
+make -k
+#
+echo "#################################################################################"
+echo "##CAS SUIVANT####################################################################"
+echo "#################################################################################"
+
+cd $SRC_MESONH/MY_RUN/KTEST/004_Reunion
+make -k << EOF 
+
+
+EOF
+#
+echo "#################################################################################"
+echo "##CAS SUIVANT####################################################################"
+echo "#################################################################################"
+cd $SRC_MESONH/MY_RUN/KTEST/007_16janvier
+make -k << EOF 
+
+
+EOF
+#
+# Sur Belenos, le module python est incompatible avec les autres modules chargés Pour MésoNH.
+# Les tracés sont réalisés après tous les runs
+module purge
+module load python/3.7.6
+
+cd $SRC_MESONH/MY_RUN/KTEST/003_KW78 
+make python
+
+cd $SRC_MESONH/MY_RUN/KTEST/001_2Drelief 
+make python
+
+cd $SRC_MESONH/MY_RUN/KTEST/002_3Drelief 
+make python
+
+cd $SRC_MESONH/MY_RUN/KTEST/004_Reunion
+make python
+
+cd $SRC_MESONH/MY_RUN/KTEST/007_16janvier
+make python
+
+module purge
-- 
GitLab